Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
Vector2d< T > Class Template Reference

`#include <vector2d.h>`

Inheritance diagram for Vector2d< T >:

## Public Member Functions
| Vector2d (const U32 initialWidth=0, const U32 initialHeight=0)
U32 | width ()
U32 | height ()
bool | resize (const U32 width, const U32 height)
T & | get (const U32 indexX, const U32 indexY)
T & | get (const Vector2 v)
Public Member Functions inherited from Vector< T >
| Vector (const U32 initialSize=0)
| Vector (const U32 initialSize, const char *fileName, const U32 lineNum)
| Vector (const char *fileName, const U32 lineNum)
| Vector (const Vector &)
| ~Vector ()
void | setFileAssociation (const char *file, const U32 line)
Vector< T > & | operator= (const Vector< T > &p)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
S32 | size () const
bool | empty () const
bool | contains (const T &) const
void | insert (iterator, const T &)
void | erase (iterator)
T & | front ()
const T & | front () const
T & | back ()
const T & | back () const
void | push_front (const T &)
void | push_back (const T &)
U32 | push_front_unique (const T &)
U32 | push_back_unique (const T &)
S32 | find_next (const T &, U32 start=0) const
void | pop_front ()
void | pop_back ()
T & | operator[] (U32)
const T & | operator[] (U32) const
T & | operator[] (S32 i)
const T & | operator[] (S32 i) const
T & | at (U32)
const T & | at (U32) const
void | reserve (U32)
U32 | capacity () const
U32 | memSize () const
T * | address () const
U32 | setSize (U32)
void | increment (U32=1)
void | increment (const T *array, U32=1)
void | decrement (U32=1)
void | insert (U32)
void | erase (U32)
void | erase_fast (U32)
void | erase_fast (iterator)
void | clear ()
void | compact ()
void | sort (compare_func f)
T & | first ()
T & | last ()
const T & | first () const
const T & | last () const
void | set (void *addr, U32 sz)
void | merge (const Vector &p)

## Protected Attributes
U32 | mWidth
U32 | mHeight
Protected Attributes inherited from Vector< T >
U32 | mElementCount
U32 | mArraySize
T * | mArray
const char * | mFileAssociation
U32 | mLineAssociation

## Additional Inherited Members
Public Types inherited from Vector< T >
typedef T | value_type
typedef T & | reference
typedef const T & | const_reference
typedef T * | iterator
typedef const T * | const_iterator
typedef S32 | difference_type
typedef U32 | size_type
typedef difference_type(QSORT_CALLBACK * | compare_func) (const T *a, const T *b)
Protected Member Functions inherited from Vector< T >
bool | resize (U32)
void | destroy (U32 start, U32 end)
| Destructs elements from start to end-1 More...
void | construct (U32 start, U32 end)
| Constructs elements from start to end-1 More...
void | construct (U32 start, U32 end, const T *array)

## Constructor & Destructor Documentation

Vector2d | ( | const U32 | initialWidth = `0`,
|  | const U32 | initialHeight = `0`
| ) |  |
| inline

## Member Function Documentation

T& get | ( | const U32 | indexX,
|  | const U32 | indexY
| ) |  |
| inline

T& get | ( | const Vector2 | v | ) |
| inline

U32 height | ( |  | ) |
| inline

bool resize | ( | const U32 | width,
|  | const U32 | height
| ) |  |
| inline

U32 width | ( |  | ) |
| inline

## Member Data Documentation

U32 mHeight
| protected

U32 mWidth
| protected

The documentation for this class was generated from the following file:

- collection/vector2d.h